Bug 88827 - __cxa_demangle doesn't work right
Summary: __cxa_demangle doesn't work right
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
(Show other bugs)
Version: 9
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL: http://gcc.gnu.org/cgi-bin/gnatsweb.p...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-14 17:25 UTC by hjl
Modified: 2007-04-18 16:53 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-01 14:57:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description hjl 2003-04-14 17:25:19 UTC
See URL for details. The bug is fixed in mainline with a new demangler. Can the
new demangler be back ported to Red Hat gcc?

Comment 1 Benjamin Kosnik 2004-10-01 14:54:16 UTC
Fixed in gcc-3.4.x.

-benjamin

Comment 2 Jakub Jelinek 2004-10-01 14:57:04 UTC
And in GCC 3.2.3-RH and 3.3.4-RH.


Note You need to log in before you can comment on or make changes to this bug.